org.apache.xmlbeans

## Interface SchemaLocalElement

All Superinterfaces:
  SchemaAnnotated, SchemaField

All Known Subinterfaces:
  SchemaGlobalElement

All Known Implementing Classes:
  SchemaGlobalElementImpl, SchemaLocalElementImpl

    public interface SchemaLocalElement
    extends SchemaField, SchemaAnnotated

Represents a local or global element definition.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `blockExtension()` True if extension is blocked.
`boolean` `blockRestriction()` True if restriction is blocked.
`boolean` `blockSubstitution()` True if element substitution is blocked.
`SchemaIdentityConstraint[]` `getIdentityConstraints()` Returns all the Key, KeyRef, and Unique constraints on this element.
`boolean` `isAbstract()` True if this element is prohibited in content.

### Methods inherited from interface org.apache.xmlbeans.SchemaField

`getDefaultText, getDefaultValue, getMaxOccurs, getMinOccurs, getName, getType, getUserData, isAttribute, isDefault, isFixed, isNillable`

### Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated

`getAnnotation`

### Method Detail

#### blockExtension

    boolean blockExtension()

True if extension is blocked.

#### blockRestriction

    boolean blockRestriction()

True if restriction is blocked.

#### blockSubstitution

    boolean blockSubstitution()

True if element substitution is blocked.

#### isAbstract

    boolean isAbstract()

True if this element is prohibited in content. Only sensible if this is the head of a substitution group; then only substitution group members can appear.

Although local elements cannot be abstract, if an element use is a ref to a global element, then the flag from the global element is copied in to the local element where the use occurs.

#### getIdentityConstraints

    SchemaIdentityConstraint[] getIdentityConstraints()

Returns all the Key, KeyRef, and Unique constraints on this element.